import { LngLatLike } from 'maplibre-gl';
export declare const defaults: {
    antialias?: boolean | undefined;
    attributionControl?: boolean | undefined;
    bearing?: number | undefined;
    bearingSnap?: number | undefined;
    bounds?: [number, number] | [number, number, number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    } | {
        sw: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        };
        ne: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        };
        setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
        setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
        contains: (lnglat: LngLatLike) => boolean;
        extend: (obj: [number, number] | import("maplibre-gl").LngLat | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number]) => import("maplibre-gl").LngLatBounds;
        getCenter: () => import("maplibre-gl").LngLat;
        getSouthWest: () => import("maplibre-gl").LngLat;
        getNorthEast: () => import("maplibre-gl").LngLat;
        getNorthWest: () => import("maplibre-gl").LngLat;
        getSouthEast: () => import("maplibre-gl").LngLat;
        getWest: () => number;
        getSouth: () => number;
        getEast: () => number;
        getNorth: () => number;
        toArray: () => number[][];
        toString: () => string;
        isEmpty: () => boolean;
    } | [[number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    }, [number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    }] | undefined;
    boxZoom?: boolean | undefined;
    center?: [number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    } | undefined;
    clickTolerance?: number | undefined;
    collectResourceTiming?: boolean | undefined;
    crossSourceCollisions?: boolean | undefined;
    customAttribution?: string | string[] | undefined;
    dragPan?: boolean | undefined;
    dragRotate?: boolean | undefined;
    doubleClickZoom?: boolean | undefined;
    hash?: string | boolean | undefined;
    fadeDuration?: number | undefined;
    failIfMajorPerformanceCaveat?: boolean | undefined;
    fitBoundsOptions?: {
        linear?: boolean | undefined;
        padding?: number | {
            top: number;
            bottom?: number | undefined;
            left?: number | undefined;
            right?: number | undefined;
        } | {
            bottom: number;
            top?: number | undefined;
            left?: number | undefined;
            right?: number | undefined;
        } | {
            left: number;
            top?: number | undefined;
            bottom?: number | undefined;
            right?: number | undefined;
        } | {
            right: number;
            top?: number | undefined;
            bottom?: number | undefined;
            left?: number | undefined;
        } | undefined;
        offset?: [number, number] | {
            x: number;
            y: number;
            clone: () => import("maplibre-gl").Point;
            add: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
            sub: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
            mult: (k: number) => import("maplibre-gl").Point;
            div: (k: number) => import("maplibre-gl").Point;
            rotate: (a: number) => import("maplibre-gl").Point;
            matMult: (m: number) => import("maplibre-gl").Point;
            unit: () => import("maplibre-gl").Point;
            perp: () => import("maplibre-gl").Point;
            round: () => import("maplibre-gl").Point;
            mag: () => number;
            equals: (p: import("maplibre-gl").Point) => boolean;
            dist: (p: import("maplibre-gl").Point) => number;
            distSqr: (p: import("maplibre-gl").Point) => number;
            angle: () => number;
            angleTo: (p: import("maplibre-gl").Point) => number;
            angleWidth: (p: import("maplibre-gl").Point) => number;
            angleWithSep: (x: number, y: number) => number;
        } | undefined;
        maxZoom?: number | undefined;
        maxDuration?: number | undefined;
        curve?: number | undefined;
        minZoom?: number | undefined;
        speed?: number | undefined;
        screenSpeed?: number | undefined;
        duration?: number | undefined;
        easing?: ((time: number) => number) | undefined;
        animate?: boolean | undefined;
        essential?: boolean | undefined;
        center?: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | undefined;
        zoom?: number | undefined;
        bearing?: number | undefined;
        pitch?: number | undefined;
        around?: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | undefined;
    } | undefined;
    interactive?: boolean | undefined;
    keyboard?: boolean | undefined;
    locale?: {
        [key: string]: string;
    } | undefined;
    localIdeographFontFamily?: string | undefined;
    logoPosition?: "top-left" | "top-right" | "bottom-left" | "bottom-right" | undefined;
    maxBounds?: [number, number] | [number, number, number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    } | {
        sw: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        };
        ne: [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        };
        setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
        setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
        contains: (lnglat: LngLatLike) => boolean;
        extend: (obj: [number, number] | import("maplibre-gl").LngLat | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number]) => import("maplibre-gl").LngLatBounds;
        getCenter: () => import("maplibre-gl").LngLat;
        getSouthWest: () => import("maplibre-gl").LngLat;
        getNorthEast: () => import("maplibre-gl").LngLat;
        getNorthWest: () => import("maplibre-gl").LngLat;
        getSouthEast: () => import("maplibre-gl").LngLat;
        getWest: () => number;
        getSouth: () => number;
        getEast: () => number;
        getNorth: () => number;
        toArray: () => number[][];
        toString: () => string;
        isEmpty: () => boolean;
    } | [[number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    }, [number, number] | {
        lng: number;
        lat: number;
        wrap: () => import("maplibre-gl").LngLat;
        toArray: () => number[];
        toString: () => string;
        distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
        toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
    } | {
        lng: number;
        lat: number;
    } | {
        lon: number;
        lat: number;
    }] | undefined;
    maxPitch?: number | undefined;
    maxZoom?: number | undefined;
    minPitch?: number | undefined;
    minZoom?: number | undefined;
    preserveDrawingBuffer?: boolean | undefined;
    pitch?: number | undefined;
    pitchWithRotate?: boolean | undefined;
    refreshExpiredTiles?: boolean | undefined;
    renderWorldCopies?: boolean | undefined;
    scrollZoom?: boolean | undefined;
    style?: string | {
        bearing?: number | undefined;
        center?: number[] | undefined;
        glyphs?: string | undefined;
        layers?: ({
            type: "background";
            layout?: {
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'background-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'background-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'background-pattern'?: string | undefined;
                'background-pattern-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'background-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'background-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "circle";
            layout?: {
                'circle-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'circle-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-radius-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-blur-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'circle-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-translate-anchor'?: "map" | "viewport" | undefined;
                'circle-pitch-scale'?: "map" | "viewport" | undefined;
                'circle-pitch-alignment'?: "map" | "viewport" | undefined;
                'circle-stroke-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-stroke-width-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-stroke-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-stroke-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'circle-stroke-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'circle-stroke-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "fill-extrusion";
            layout?: {
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'fill-extrusion-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'fill-extrusion-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-extrusion-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'fill-extrusion-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-translate-anchor'?: "map" | "viewport" | undefined;
                'fill-extrusion-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'fill-extrusion-pattern-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-extrusion-height-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-base'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-extrusion-base-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-extrusion-vertical-gradient'?: boolean | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "fill";
            layout?: {
                'fill-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'fill-antialias'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'fill-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-outline-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'fill-outline-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-translate'?: number[] | undefined;
                'fill-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'fill-translate-anchor'?: "map" | "viewport" | undefined;
                'fill-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'fill-pattern-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "heatmap";
            layout?: {
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'heatmap-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'heatmap-radius-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'heatmap-weight'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'heatmap-intensity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'heatmap-intensity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'heatmap-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'heatmap-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'heatmap-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "hillshade";
            layout?: {
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'hillshade-illumination-direction'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'hillshade-illumination-anchor'?: "map" | "viewport" | undefined;
                'hillshade-exaggeration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'hillshade-exaggeration-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'hillshade-shadow-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'hillshade-shadow-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'hillshade-highlight-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'hillshade-highlight-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'hillshade-accent-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'hillshade-accent-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "line";
            layout?: {
                'line-cap'?: "round" | "butt" | "square" | undefined;
                'line-join'?: "round" | [import("maplibre-gl").ExpressionName, ...any[]] | "bevel" | "miter" | undefined;
                'line-miter-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'line-round-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'line-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'line-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'line-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-translate-anchor'?: "map" | "viewport" | undefined;
                'line-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-width-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-gap-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-gap-width-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-offset-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'line-blur-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-dasharray'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'line-dasharray-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'line-pattern-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'line-gradient'?: [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "raster";
            layout?: {
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'raster-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-hue-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-hue-rotate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-brightness-min'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-brightness-min-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-brightness-max'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-brightness-max-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-saturation'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-saturation-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-contrast'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-contrast-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'raster-fade-duration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'raster-resampling'?: "linear" | "nearest" | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            type: "symbol";
            layout?: {
                'symbol-placement'?: "line" | "point" | "line-center" | undefined;
                'symbol-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'symbol-avoid-edges'?: boolean | undefined;
                'symbol-z-order'?: "source" | "viewport-y" | undefined;
                'icon-allow-overlap'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-ignore-placement'?: boolean | undefined;
                'icon-optional'?: boolean | undefined;
                'icon-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                'icon-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-text-fit'?: "none" | "both" | "width" | "height" | undefined;
                'icon-text-fit-padding'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'icon-image'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'icon-keep-upright'?: boolean | undefined;
                'icon-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | import("maplibre-gl").Anchor | undefined;
                'icon-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                'text-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                'text-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                'text-field'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-font'?: string | string[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-max-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-line-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-letter-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-justify'?: "center" | "left" | "right" | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | import("maplibre-gl").Anchor | undefined;
                'text-max-angle'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-keep-upright'?: boolean | undefined;
                'text-transform'?: "none" | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | "uppercase" | "lowercase" | undefined;
                'text-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-allow-overlap'?: boolean | undefined;
                'text-ignore-placement'?: boolean | undefined;
                'text-optional'?: boolean | undefined;
                'text-radial-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-variable-anchor'?: import("maplibre-gl").Anchor[] | undefined;
                'text-writing-mode'?: ("horizontal" | "vertical")[] | undefined;
                'symbol-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                visibility?: import("maplibre-gl").Visibility | undefined;
            } | undefined;
            paint?: {
                'icon-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-halo-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-halo-width-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'icon-halo-blur-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'icon-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'icon-translate-anchor'?: "map" | "viewport" | undefined;
                'text-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-opacity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-halo-color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-halo-width-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                    stops?: any[][] | undefined;
                    property?: string | undefined;
                    base?: number | undefined;
                    type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                    default?: any;
                    colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                } | undefined;
                'text-halo-blur-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                'text-translate-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                'text-translate-anchor'?: "map" | "viewport" | undefined;
            } | undefined;
            id: string;
            metadata?: any;
            ref?: string | undefined;
            source?: string | {
                type: "geojson";
                data?: string | {
                    type: "Feature";
                    geometry: {
                        type: "Point";
                        coordinates: number[];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPoint";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "LineString";
                        coordinates: number[][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiLineString";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "Polygon";
                        coordinates: number[][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "MultiPolygon";
                        coordinates: number[][][][];
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "GeometryCollection";
                        geometries: ({
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | any)[];
                        bbox?: import("geojson").BBox | undefined;
                    };
                    id?: string | number | undefined;
                    properties: import("geojson").GeoJsonProperties;
                    bbox?: import("geojson").BBox | undefined;
                } | {
                    type: "FeatureCollection";
                    features: {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    }[];
                    bbox?: import("geojson").BBox | undefined;
                } | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                buffer?: number | undefined;
                tolerance?: number | undefined;
                cluster?: number | boolean | undefined;
                clusterRadius?: number | undefined;
                clusterMaxZoom?: number | undefined;
                clusterMinPoints?: number | undefined;
                clusterProperties?: object | undefined;
                lineMetrics?: boolean | undefined;
                generateId?: boolean | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                filter?: any;
            } | {
                type: "video";
                urls?: string[] | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "image";
                url?: string | undefined;
                coordinates?: number[][] | undefined;
            } | {
                type: "canvas";
                coordinates: number[][];
                animate?: boolean | undefined;
                canvas: string | HTMLCanvasElement;
            } | {
                type: "vector";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                scheme?: "xyz" | "tms" | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                attribution?: string | undefined;
                promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
            } | {
                type: "raster";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                scheme?: "xyz" | "tms" | undefined;
                attribution?: string | undefined;
            } | {
                type: "raster-dem";
                url?: string | undefined;
                tiles?: string[] | undefined;
                bounds?: number[] | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                tileSize?: number | undefined;
                attribution?: string | undefined;
                encoding?: "terrarium" | "mapbox" | undefined;
            } | undefined;
            'source-layer'?: string | undefined;
            minzoom?: number | undefined;
            maxzoom?: number | undefined;
            interactive?: boolean | undefined;
            filter?: any[] | undefined;
        } | {
            id: string;
            type: "custom";
            renderingMode?: "2d" | "3d" | undefined;
            onRemove?: ((map: import("maplibre-gl").Map, gl: WebGLRenderingContext) => void) | undefined;
            onAdd?: ((map: import("maplibre-gl").Map, gl: WebGLRenderingContext) => void) | undefined;
            prerender?: ((gl: WebGLRenderingContext, matrix: number[]) => void) | undefined;
            render: (gl: WebGLRenderingContext, matrix: number[]) => void;
        })[] | undefined;
        metadata?: any;
        name?: string | undefined;
        pitch?: number | undefined;
        light?: {
            anchor?: "map" | "viewport" | undefined;
            position?: number[] | undefined;
            'position-transition'?: {
                delay?: number | undefined;
                duration?: number | undefined;
            } | undefined;
            color?: string | undefined;
            'color-transition'?: {
                delay?: number | undefined;
                duration?: number | undefined;
            } | undefined;
            intensity?: number | undefined;
            'intensity-transition'?: {
                delay?: number | undefined;
                duration?: number | undefined;
            } | undefined;
        } | undefined;
        sources?: import("maplibre-gl").Sources | undefined;
        sprite?: string | undefined;
        transition?: {
            delay?: number | undefined;
            duration?: number | undefined;
        } | undefined;
        version: number;
        zoom?: number | undefined;
    } | undefined;
    trackResize?: boolean | undefined;
    transformRequest?: import("maplibre-gl").TransformRequestFunction | undefined;
    touchZoomRotate?: boolean | undefined;
    touchPitch?: boolean | undefined;
    zoom?: number | undefined;
    maxTileCacheSize?: number | undefined;
    accessToken?: string | undefined;
};
