import { PropType } from 'vue';
import { FitBoundsOptions, LngLatBoundsLike, LngLatLike, Map as MaplibreMap, Style, TransformRequestFunction } from 'maplibre-gl';
import { Position } from "./controls/shared";
declare const _default: import("vue").DefineComponent<{
    width: {
        type: PropType<string | number>;
        default: string;
    };
    height: {
        type: PropType<string | number>;
        default: string;
    };
    antialias: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    attributionControl: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    bearing: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    bearingSnap: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    bounds: {
        type: PropType<LngLatBoundsLike>;
        default: () => [number, number, number, number] | [number, number] | {
            sw: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            ne: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
            setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
            contains: (lnglat: LngLatLike) => boolean;
            extend: (obj: import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number] | [number, number] | import("maplibre-gl").LngLat | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            }) => import("maplibre-gl").LngLatBounds;
            getCenter: () => import("maplibre-gl").LngLat;
            getSouthWest: () => import("maplibre-gl").LngLat;
            getNorthEast: () => import("maplibre-gl").LngLat;
            getNorthWest: () => import("maplibre-gl").LngLat;
            getSouthEast: () => import("maplibre-gl").LngLat;
            getWest: () => number;
            getSouth: () => number;
            getEast: () => number;
            getNorth: () => number;
            toArray: () => number[][];
            toString: () => string;
            isEmpty: () => boolean;
        } | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | [[number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }, [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }] | undefined;
    };
    boxZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    center: {
        type: PropType<LngLatLike>;
        default: () => [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | undefined;
    };
    clickTolerance: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    collectResourceTiming: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    crossSourceCollisions: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    customAttribution: {
        type: PropType<string | string[]>;
        default: () => string | string[] | undefined;
    };
    dragPan: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    dragRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    doubleClickZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    hash: {
        type: PropType<string | boolean>;
        default: () => string | boolean | undefined;
    };
    fadeDuration: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    failIfMajorPerformanceCaveat: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    fitBoundsOptions: {
        type: PropType<FitBoundsOptions>;
        default: () => {
            linear?: boolean | undefined;
            padding?: number | {
                top: number;
                bottom?: number | undefined;
                left?: number | undefined;
                right?: number | undefined;
            } | {
                bottom: number;
                top?: number | undefined;
                left?: number | undefined;
                right?: number | undefined;
            } | {
                left: number;
                top?: number | undefined;
                bottom?: number | undefined;
                right?: number | undefined;
            } | {
                right: number;
                top?: number | undefined;
                bottom?: number | undefined;
                left?: number | undefined;
            } | undefined;
            offset?: [number, number] | {
                x: number;
                y: number;
                clone: () => import("maplibre-gl").Point;
                add: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
                sub: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
                mult: (k: number) => import("maplibre-gl").Point;
                div: (k: number) => import("maplibre-gl").Point;
                rotate: (a: number) => import("maplibre-gl").Point;
                matMult: (m: number) => import("maplibre-gl").Point;
                unit: () => import("maplibre-gl").Point;
                perp: () => import("maplibre-gl").Point;
                round: () => import("maplibre-gl").Point;
                mag: () => number;
                equals: (p: import("maplibre-gl").Point) => boolean;
                dist: (p: import("maplibre-gl").Point) => number;
                distSqr: (p: import("maplibre-gl").Point) => number;
                angle: () => number;
                angleTo: (p: import("maplibre-gl").Point) => number;
                angleWidth: (p: import("maplibre-gl").Point) => number;
                angleWithSep: (x: number, y: number) => number;
            } | undefined;
            maxZoom?: number | undefined;
            maxDuration?: number | undefined;
            curve?: number | undefined;
            minZoom?: number | undefined;
            speed?: number | undefined;
            screenSpeed?: number | undefined;
            duration?: number | undefined;
            easing?: ((time: number) => number) | undefined;
            animate?: boolean | undefined;
            essential?: boolean | undefined;
            center?: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            } | undefined;
            zoom?: number | undefined;
            bearing?: number | undefined;
            pitch?: number | undefined;
            around?: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            } | undefined;
        } | undefined;
    };
    interactive: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    keyboard: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    locale: {
        type: PropType<Record<string, string>>;
        default: () => {
            [key: string]: string;
        } | undefined;
    };
    localIdeographFontFamily: {
        type: PropType<string>;
        default: () => string | undefined;
    };
    logoPosition: {
        type: PropType<Position>;
        validate: (val: any) => boolean;
        default: () => "top-left" | "top-right" | "bottom-left" | "bottom-right" | undefined;
    };
    maxBounds: {
        type: PropType<LngLatBoundsLike>;
        default: () => [number, number, number, number] | [number, number] | {
            sw: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            ne: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
            setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
            contains: (lnglat: LngLatLike) => boolean;
            extend: (obj: import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number] | [number, number] | import("maplibre-gl").LngLat | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            }) => import("maplibre-gl").LngLatBounds;
            getCenter: () => import("maplibre-gl").LngLat;
            getSouthWest: () => import("maplibre-gl").LngLat;
            getNorthEast: () => import("maplibre-gl").LngLat;
            getNorthWest: () => import("maplibre-gl").LngLat;
            getSouthEast: () => import("maplibre-gl").LngLat;
            getWest: () => number;
            getSouth: () => number;
            getEast: () => number;
            getNorth: () => number;
            toArray: () => number[][];
            toString: () => string;
            isEmpty: () => boolean;
        } | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | [[number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }, [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }] | undefined;
    };
    maxPitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    maxZoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    minPitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    minZoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    preserveDrawingBuffer: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    pitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    pitchWithRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    refreshExpiredTiles: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    renderWorldCopies: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    scrollZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    mapStyle: {
        type: PropType<string | Style>;
        default: () => string | {
            bearing?: number | undefined;
            center?: number[] | undefined;
            glyphs?: string | undefined;
            layers?: ({
                type: "background";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'background-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'background-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'background-pattern'?: string | undefined;
                    'background-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'background-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'background-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "circle";
                layout?: {
                    'circle-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'circle-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-radius-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'circle-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-translate-anchor'?: "map" | "viewport" | undefined;
                    'circle-pitch-scale'?: "map" | "viewport" | undefined;
                    'circle-pitch-alignment'?: "map" | "viewport" | undefined;
                    'circle-stroke-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-stroke-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-stroke-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "fill-extrusion";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'fill-extrusion-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-translate-anchor'?: "map" | "viewport" | undefined;
                    'fill-extrusion-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-height-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-base'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-base-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-vertical-gradient'?: boolean | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "fill";
                layout?: {
                    'fill-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'fill-antialias'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-outline-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-outline-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-translate'?: number[] | undefined;
                    'fill-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-translate-anchor'?: "map" | "viewport" | undefined;
                    'fill-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "heatmap";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'heatmap-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-radius-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'heatmap-weight'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-intensity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-intensity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'heatmap-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "hillshade";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'hillshade-illumination-direction'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-illumination-anchor'?: "map" | "viewport" | undefined;
                    'hillshade-exaggeration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-exaggeration-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-shadow-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-shadow-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-highlight-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-highlight-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-accent-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-accent-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "line";
                layout?: {
                    'line-cap'?: "round" | "butt" | "square" | undefined;
                    'line-join'?: "round" | [import("maplibre-gl").ExpressionName, ...any[]] | "bevel" | "miter" | undefined;
                    'line-miter-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-round-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'line-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-translate-anchor'?: "map" | "viewport" | undefined;
                    'line-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-gap-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-gap-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-offset-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-dasharray'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-dasharray-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-gradient'?: [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "raster";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'raster-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-hue-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-hue-rotate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-brightness-min'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-brightness-min-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-brightness-max'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-brightness-max-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-saturation'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-saturation-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-contrast'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-contrast-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-fade-duration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-resampling'?: "linear" | "nearest" | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "symbol";
                layout?: {
                    'symbol-placement'?: "line" | "point" | "line-center" | undefined;
                    'symbol-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'symbol-avoid-edges'?: boolean | undefined;
                    'symbol-z-order'?: "source" | "viewport-y" | undefined;
                    'icon-allow-overlap'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-ignore-placement'?: boolean | undefined;
                    'icon-optional'?: boolean | undefined;
                    'icon-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'icon-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-text-fit'?: "width" | "height" | "none" | "both" | undefined;
                    'icon-text-fit-padding'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-image'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-keep-upright'?: boolean | undefined;
                    'icon-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | import("maplibre-gl").Anchor | undefined;
                    'icon-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-field'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-font'?: string | string[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-max-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-line-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-letter-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-justify'?: "center" | "left" | "right" | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | import("maplibre-gl").Anchor | undefined;
                    'text-max-angle'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-keep-upright'?: boolean | undefined;
                    'text-transform'?: "none" | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | "uppercase" | "lowercase" | undefined;
                    'text-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-allow-overlap'?: boolean | undefined;
                    'text-ignore-placement'?: boolean | undefined;
                    'text-optional'?: boolean | undefined;
                    'text-radial-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-variable-anchor'?: import("maplibre-gl").Anchor[] | undefined;
                    'text-writing-mode'?: ("horizontal" | "vertical")[] | undefined;
                    'symbol-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'icon-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-translate-anchor'?: "map" | "viewport" | undefined;
                    'text-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-translate-anchor'?: "map" | "viewport" | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                id: string;
                type: "custom";
                renderingMode?: "2d" | "3d" | undefined;
                onRemove?: ((map: MaplibreMap, gl: WebGLRenderingContext) => void) | undefined;
                onAdd?: ((map: MaplibreMap, gl: WebGLRenderingContext) => void) | undefined;
                prerender?: ((gl: WebGLRenderingContext, matrix: number[]) => void) | undefined;
                render: (gl: WebGLRenderingContext, matrix: number[]) => void;
            })[] | undefined;
            metadata?: any;
            name?: string | undefined;
            pitch?: number | undefined;
            light?: {
                anchor?: "map" | "viewport" | undefined;
                position?: number[] | undefined;
                'position-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                color?: string | undefined;
                'color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                intensity?: number | undefined;
                'intensity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            sources?: import("maplibre-gl").Sources | undefined;
            sprite?: string | undefined;
            transition?: {
                delay?: number | undefined;
                duration?: number | undefined;
            } | undefined;
            version: number;
            zoom?: number | undefined;
        } | undefined;
    };
    trackResize: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    transformRequest: {
        type: PropType<TransformRequestFunction>;
        default: TransformRequestFunction | undefined;
    };
    touchZoomRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    touchPitch: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    zoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    maxTileCacheSize: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    accessToken: {
        type: PropType<string>;
        default: () => string | undefined;
    };
    mapKey: {
        type: PropType<string | symbol>;
    };
}, {
    map: import("vue").ShallowRef<MaplibreMap | null>;
    componentContainer: import("vue").ShallowRef<HTMLDivElement | null>;
    container: import("vue").ShallowRef<HTMLDivElement | null>;
    isLoaded: import("vue").Ref<boolean>;
    isInitialized: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("map:error" | "map:load" | "map:idle" | "map:remove" | "map:render" | "map:resize" | "map:webglcontextlost" | "map:webglcontextrestored" | "map:dataloading" | "map:data" | "map:tiledataloading" | "map:sourcedataloading" | "map:styledataloading" | "map:sourcedata" | "map:styledata" | "map:boxzoomcancel" | "map:boxzoomstart" | "map:boxzoomend" | "map:touchcancel" | "map:touchmove" | "map:touchend" | "map:touchstart" | "map:click" | "map:contextmenu" | "map:dblclick" | "map:mousemove" | "map:mouseup" | "map:mousedown" | "map:mouseout" | "map:mouseover" | "map:movestart" | "map:move" | "map:moveend" | "map:zoomstart" | "map:zoom" | "map:zoomend" | "map:rotatestart" | "map:rotate" | "map:rotateend" | "map:dragstart" | "map:drag" | "map:dragend" | "map:pitchstart" | "map:pitch" | "map:pitchend" | "map:wheel")[], "map:error" | "map:load" | "map:idle" | "map:remove" | "map:render" | "map:resize" | "map:webglcontextlost" | "map:webglcontextrestored" | "map:dataloading" | "map:data" | "map:tiledataloading" | "map:sourcedataloading" | "map:styledataloading" | "map:sourcedata" | "map:styledata" | "map:boxzoomcancel" | "map:boxzoomstart" | "map:boxzoomend" | "map:touchcancel" | "map:touchmove" | "map:touchend" | "map:touchstart" | "map:click" | "map:contextmenu" | "map:dblclick" | "map:mousemove" | "map:mouseup" | "map:mousedown" | "map:mouseout" | "map:mouseover" | "map:movestart" | "map:move" | "map:moveend" | "map:zoomstart" | "map:zoom" | "map:zoomend" | "map:rotatestart" | "map:rotate" | "map:rotateend" | "map:dragstart" | "map:drag" | "map:dragend" | "map:pitchstart" | "map:pitch" | "map:pitchend" | "map:wheel", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: PropType<string | number>;
        default: string;
    };
    height: {
        type: PropType<string | number>;
        default: string;
    };
    antialias: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    attributionControl: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    bearing: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    bearingSnap: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    bounds: {
        type: PropType<LngLatBoundsLike>;
        default: () => [number, number, number, number] | [number, number] | {
            sw: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            ne: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
            setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
            contains: (lnglat: LngLatLike) => boolean;
            extend: (obj: import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number] | [number, number] | import("maplibre-gl").LngLat | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            }) => import("maplibre-gl").LngLatBounds;
            getCenter: () => import("maplibre-gl").LngLat;
            getSouthWest: () => import("maplibre-gl").LngLat;
            getNorthEast: () => import("maplibre-gl").LngLat;
            getNorthWest: () => import("maplibre-gl").LngLat;
            getSouthEast: () => import("maplibre-gl").LngLat;
            getWest: () => number;
            getSouth: () => number;
            getEast: () => number;
            getNorth: () => number;
            toArray: () => number[][];
            toString: () => string;
            isEmpty: () => boolean;
        } | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | [[number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }, [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }] | undefined;
    };
    boxZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    center: {
        type: PropType<LngLatLike>;
        default: () => [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | undefined;
    };
    clickTolerance: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    collectResourceTiming: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    crossSourceCollisions: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    customAttribution: {
        type: PropType<string | string[]>;
        default: () => string | string[] | undefined;
    };
    dragPan: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    dragRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    doubleClickZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    hash: {
        type: PropType<string | boolean>;
        default: () => string | boolean | undefined;
    };
    fadeDuration: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    failIfMajorPerformanceCaveat: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    fitBoundsOptions: {
        type: PropType<FitBoundsOptions>;
        default: () => {
            linear?: boolean | undefined;
            padding?: number | {
                top: number;
                bottom?: number | undefined;
                left?: number | undefined;
                right?: number | undefined;
            } | {
                bottom: number;
                top?: number | undefined;
                left?: number | undefined;
                right?: number | undefined;
            } | {
                left: number;
                top?: number | undefined;
                bottom?: number | undefined;
                right?: number | undefined;
            } | {
                right: number;
                top?: number | undefined;
                bottom?: number | undefined;
                left?: number | undefined;
            } | undefined;
            offset?: [number, number] | {
                x: number;
                y: number;
                clone: () => import("maplibre-gl").Point;
                add: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
                sub: (p: import("maplibre-gl").Point) => import("maplibre-gl").Point;
                mult: (k: number) => import("maplibre-gl").Point;
                div: (k: number) => import("maplibre-gl").Point;
                rotate: (a: number) => import("maplibre-gl").Point;
                matMult: (m: number) => import("maplibre-gl").Point;
                unit: () => import("maplibre-gl").Point;
                perp: () => import("maplibre-gl").Point;
                round: () => import("maplibre-gl").Point;
                mag: () => number;
                equals: (p: import("maplibre-gl").Point) => boolean;
                dist: (p: import("maplibre-gl").Point) => number;
                distSqr: (p: import("maplibre-gl").Point) => number;
                angle: () => number;
                angleTo: (p: import("maplibre-gl").Point) => number;
                angleWidth: (p: import("maplibre-gl").Point) => number;
                angleWithSep: (x: number, y: number) => number;
            } | undefined;
            maxZoom?: number | undefined;
            maxDuration?: number | undefined;
            curve?: number | undefined;
            minZoom?: number | undefined;
            speed?: number | undefined;
            screenSpeed?: number | undefined;
            duration?: number | undefined;
            easing?: ((time: number) => number) | undefined;
            animate?: boolean | undefined;
            essential?: boolean | undefined;
            center?: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            } | undefined;
            zoom?: number | undefined;
            bearing?: number | undefined;
            pitch?: number | undefined;
            around?: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            } | undefined;
        } | undefined;
    };
    interactive: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    keyboard: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    locale: {
        type: PropType<Record<string, string>>;
        default: () => {
            [key: string]: string;
        } | undefined;
    };
    localIdeographFontFamily: {
        type: PropType<string>;
        default: () => string | undefined;
    };
    logoPosition: {
        type: PropType<Position>;
        validate: (val: any) => boolean;
        default: () => "top-left" | "top-right" | "bottom-left" | "bottom-right" | undefined;
    };
    maxBounds: {
        type: PropType<LngLatBoundsLike>;
        default: () => [number, number, number, number] | [number, number] | {
            sw: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            ne: [number, number] | {
                lng: number;
                lat: number;
                wrap: () => import("maplibre-gl").LngLat;
                toArray: () => number[];
                toString: () => string;
                distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
                toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
            } | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            };
            setNorthEast: (ne: LngLatLike) => import("maplibre-gl").LngLatBounds;
            setSouthWest: (sw: LngLatLike) => import("maplibre-gl").LngLatBounds;
            contains: (lnglat: LngLatLike) => boolean;
            extend: (obj: import("maplibre-gl").LngLatBounds | [LngLatLike, LngLatLike] | [number, number, number, number] | [number, number] | import("maplibre-gl").LngLat | {
                lng: number;
                lat: number;
            } | {
                lon: number;
                lat: number;
            }) => import("maplibre-gl").LngLatBounds;
            getCenter: () => import("maplibre-gl").LngLat;
            getSouthWest: () => import("maplibre-gl").LngLat;
            getNorthEast: () => import("maplibre-gl").LngLat;
            getNorthWest: () => import("maplibre-gl").LngLat;
            getSouthEast: () => import("maplibre-gl").LngLat;
            getWest: () => number;
            getSouth: () => number;
            getEast: () => number;
            getNorth: () => number;
            toArray: () => number[][];
            toString: () => string;
            isEmpty: () => boolean;
        } | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        } | [[number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }, [number, number] | {
            lng: number;
            lat: number;
            wrap: () => import("maplibre-gl").LngLat;
            toArray: () => number[];
            toString: () => string;
            distanceTo: (lngLat: import("maplibre-gl").LngLat) => number;
            toBounds: (radius: number) => import("maplibre-gl").LngLatBounds;
        } | {
            lng: number;
            lat: number;
        } | {
            lon: number;
            lat: number;
        }] | undefined;
    };
    maxPitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    maxZoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    minPitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    minZoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    preserveDrawingBuffer: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    pitch: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    pitchWithRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    refreshExpiredTiles: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    renderWorldCopies: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    scrollZoom: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    mapStyle: {
        type: PropType<string | Style>;
        default: () => string | {
            bearing?: number | undefined;
            center?: number[] | undefined;
            glyphs?: string | undefined;
            layers?: ({
                type: "background";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'background-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'background-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'background-pattern'?: string | undefined;
                    'background-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'background-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'background-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "circle";
                layout?: {
                    'circle-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'circle-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-radius-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'circle-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-translate-anchor'?: "map" | "viewport" | undefined;
                    'circle-pitch-scale'?: "map" | "viewport" | undefined;
                    'circle-pitch-alignment'?: "map" | "viewport" | undefined;
                    'circle-stroke-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-stroke-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'circle-stroke-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'circle-stroke-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "fill-extrusion";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'fill-extrusion-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-translate-anchor'?: "map" | "viewport" | undefined;
                    'fill-extrusion-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-extrusion-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-height-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-base'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-extrusion-base-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-extrusion-vertical-gradient'?: boolean | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "fill";
                layout?: {
                    'fill-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'fill-antialias'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-outline-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'fill-outline-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-translate'?: number[] | undefined;
                    'fill-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'fill-translate-anchor'?: "map" | "viewport" | undefined;
                    'fill-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'fill-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "heatmap";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'heatmap-radius'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-radius-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'heatmap-weight'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-intensity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-intensity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'heatmap-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'heatmap-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "hillshade";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'hillshade-illumination-direction'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-illumination-anchor'?: "map" | "viewport" | undefined;
                    'hillshade-exaggeration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-exaggeration-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-shadow-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-shadow-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-highlight-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-highlight-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'hillshade-accent-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'hillshade-accent-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "line";
                layout?: {
                    'line-cap'?: "round" | "butt" | "square" | undefined;
                    'line-join'?: "round" | [import("maplibre-gl").ExpressionName, ...any[]] | "bevel" | "miter" | undefined;
                    'line-miter-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-round-limit'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'line-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-translate-anchor'?: "map" | "viewport" | undefined;
                    'line-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-gap-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-gap-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-offset-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'line-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-dasharray'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-dasharray-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-pattern'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'line-pattern-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'line-gradient'?: [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "raster";
                layout?: {
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'raster-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-hue-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-hue-rotate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-brightness-min'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-brightness-min-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-brightness-max'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-brightness-max-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-saturation'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-saturation-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-contrast'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-contrast-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'raster-fade-duration'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'raster-resampling'?: "linear" | "nearest" | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                type: "symbol";
                layout?: {
                    'symbol-placement'?: "line" | "point" | "line-center" | undefined;
                    'symbol-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'symbol-avoid-edges'?: boolean | undefined;
                    'symbol-z-order'?: "source" | "viewport-y" | undefined;
                    'icon-allow-overlap'?: boolean | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-ignore-placement'?: boolean | undefined;
                    'icon-optional'?: boolean | undefined;
                    'icon-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'icon-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-text-fit'?: "width" | "height" | "none" | "both" | undefined;
                    'icon-text-fit-padding'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-image'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-keep-upright'?: boolean | undefined;
                    'icon-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | import("maplibre-gl").Anchor | undefined;
                    'icon-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-pitch-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-rotation-alignment'?: "map" | "viewport" | "auto" | undefined;
                    'text-field'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-font'?: string | string[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-size'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-max-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-line-height'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-letter-spacing'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-justify'?: "center" | "left" | "right" | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-anchor'?: [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | import("maplibre-gl").Anchor | undefined;
                    'text-max-angle'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-rotate'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-padding'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-keep-upright'?: boolean | undefined;
                    'text-transform'?: "none" | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | "uppercase" | "lowercase" | undefined;
                    'text-offset'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-allow-overlap'?: boolean | undefined;
                    'text-ignore-placement'?: boolean | undefined;
                    'text-optional'?: boolean | undefined;
                    'text-radial-offset'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-variable-anchor'?: import("maplibre-gl").Anchor[] | undefined;
                    'text-writing-mode'?: ("horizontal" | "vertical")[] | undefined;
                    'symbol-sort-key'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    visibility?: import("maplibre-gl").Visibility | undefined;
                } | undefined;
                paint?: {
                    'icon-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'icon-halo-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'icon-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'icon-translate-anchor'?: "map" | "viewport" | undefined;
                    'text-opacity'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-opacity-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-color'?: string | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-color-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-width'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-width-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-halo-blur'?: number | [import("maplibre-gl").ExpressionName, ...any[]] | {
                        stops?: any[][] | undefined;
                        property?: string | undefined;
                        base?: number | undefined;
                        type?: "identity" | "exponential" | "interval" | "categorical" | undefined;
                        default?: any;
                        colorSpace?: "rgb" | "lab" | "hcl" | undefined;
                    } | undefined;
                    'text-halo-blur-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-translate'?: number[] | [import("maplibre-gl").ExpressionName, ...any[]] | undefined;
                    'text-translate-transition'?: {
                        delay?: number | undefined;
                        duration?: number | undefined;
                    } | undefined;
                    'text-translate-anchor'?: "map" | "viewport" | undefined;
                } | undefined;
                id: string;
                metadata?: any;
                ref?: string | undefined;
                source?: string | {
                    type: "geojson";
                    data?: string | {
                        type: "Feature";
                        geometry: {
                            type: "Point";
                            coordinates: number[];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPoint";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "LineString";
                            coordinates: number[][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiLineString";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "Polygon";
                            coordinates: number[][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "MultiPolygon";
                            coordinates: number[][][][];
                            bbox?: import("geojson").BBox | undefined;
                        } | {
                            type: "GeometryCollection";
                            geometries: ({
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | any)[];
                            bbox?: import("geojson").BBox | undefined;
                        };
                        id?: string | number | undefined;
                        properties: import("geojson").GeoJsonProperties;
                        bbox?: import("geojson").BBox | undefined;
                    } | {
                        type: "FeatureCollection";
                        features: {
                            type: "Feature";
                            geometry: {
                                type: "Point";
                                coordinates: number[];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPoint";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "LineString";
                                coordinates: number[][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiLineString";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "Polygon";
                                coordinates: number[][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "MultiPolygon";
                                coordinates: number[][][][];
                                bbox?: import("geojson").BBox | undefined;
                            } | {
                                type: "GeometryCollection";
                                geometries: ({
                                    type: "Point";
                                    coordinates: number[];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPoint";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "LineString";
                                    coordinates: number[][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiLineString";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "Polygon";
                                    coordinates: number[][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | {
                                    type: "MultiPolygon";
                                    coordinates: number[][][][];
                                    bbox?: import("geojson").BBox | undefined;
                                } | any)[];
                                bbox?: import("geojson").BBox | undefined;
                            };
                            id?: string | number | undefined;
                            properties: import("geojson").GeoJsonProperties;
                            bbox?: import("geojson").BBox | undefined;
                        }[];
                        bbox?: import("geojson").BBox | undefined;
                    } | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    buffer?: number | undefined;
                    tolerance?: number | undefined;
                    cluster?: number | boolean | undefined;
                    clusterRadius?: number | undefined;
                    clusterMaxZoom?: number | undefined;
                    clusterMinPoints?: number | undefined;
                    clusterProperties?: object | undefined;
                    lineMetrics?: boolean | undefined;
                    generateId?: boolean | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                    filter?: any;
                } | {
                    type: "video";
                    urls?: string[] | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "image";
                    url?: string | undefined;
                    coordinates?: number[][] | undefined;
                } | {
                    type: "canvas";
                    coordinates: number[][];
                    animate?: boolean | undefined;
                    canvas: string | HTMLCanvasElement;
                } | {
                    type: "vector";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    attribution?: string | undefined;
                    promoteId?: import("maplibre-gl").PromoteIdSpecification | undefined;
                } | {
                    type: "raster";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    scheme?: "xyz" | "tms" | undefined;
                    attribution?: string | undefined;
                } | {
                    type: "raster-dem";
                    url?: string | undefined;
                    tiles?: string[] | undefined;
                    bounds?: number[] | undefined;
                    minzoom?: number | undefined;
                    maxzoom?: number | undefined;
                    tileSize?: number | undefined;
                    attribution?: string | undefined;
                    encoding?: "terrarium" | "mapbox" | undefined;
                } | undefined;
                'source-layer'?: string | undefined;
                minzoom?: number | undefined;
                maxzoom?: number | undefined;
                interactive?: boolean | undefined;
                filter?: any[] | undefined;
            } | {
                id: string;
                type: "custom";
                renderingMode?: "2d" | "3d" | undefined;
                onRemove?: ((map: MaplibreMap, gl: WebGLRenderingContext) => void) | undefined;
                onAdd?: ((map: MaplibreMap, gl: WebGLRenderingContext) => void) | undefined;
                prerender?: ((gl: WebGLRenderingContext, matrix: number[]) => void) | undefined;
                render: (gl: WebGLRenderingContext, matrix: number[]) => void;
            })[] | undefined;
            metadata?: any;
            name?: string | undefined;
            pitch?: number | undefined;
            light?: {
                anchor?: "map" | "viewport" | undefined;
                position?: number[] | undefined;
                'position-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                color?: string | undefined;
                'color-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
                intensity?: number | undefined;
                'intensity-transition'?: {
                    delay?: number | undefined;
                    duration?: number | undefined;
                } | undefined;
            } | undefined;
            sources?: import("maplibre-gl").Sources | undefined;
            sprite?: string | undefined;
            transition?: {
                delay?: number | undefined;
                duration?: number | undefined;
            } | undefined;
            version: number;
            zoom?: number | undefined;
        } | undefined;
    };
    trackResize: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    transformRequest: {
        type: PropType<TransformRequestFunction>;
        default: TransformRequestFunction | undefined;
    };
    touchZoomRotate: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    touchPitch: {
        type: PropType<boolean>;
        default: () => boolean | undefined;
    };
    zoom: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    maxTileCacheSize: {
        type: PropType<number>;
        default: () => number | undefined;
    };
    accessToken: {
        type: PropType<string>;
        default: () => string | undefined;
    };
    mapKey: {
        type: PropType<string | symbol>;
    };
}>> & {
    "onMap:error"?: ((...args: any[]) => any) | undefined;
    "onMap:load"?: ((...args: any[]) => any) | undefined;
    "onMap:idle"?: ((...args: any[]) => any) | undefined;
    "onMap:remove"?: ((...args: any[]) => any) | undefined;
    "onMap:render"?: ((...args: any[]) => any) | undefined;
    "onMap:resize"?: ((...args: any[]) => any) | undefined;
    "onMap:webglcontextlost"?: ((...args: any[]) => any) | undefined;
    "onMap:webglcontextrestored"?: ((...args: any[]) => any) | undefined;
    "onMap:dataloading"?: ((...args: any[]) => any) | undefined;
    "onMap:data"?: ((...args: any[]) => any) | undefined;
    "onMap:tiledataloading"?: ((...args: any[]) => any) | undefined;
    "onMap:sourcedataloading"?: ((...args: any[]) => any) | undefined;
    "onMap:styledataloading"?: ((...args: any[]) => any) | undefined;
    "onMap:sourcedata"?: ((...args: any[]) => any) | undefined;
    "onMap:styledata"?: ((...args: any[]) => any) | undefined;
    "onMap:boxzoomcancel"?: ((...args: any[]) => any) | undefined;
    "onMap:boxzoomstart"?: ((...args: any[]) => any) | undefined;
    "onMap:boxzoomend"?: ((...args: any[]) => any) | undefined;
    "onMap:touchcancel"?: ((...args: any[]) => any) | undefined;
    "onMap:touchmove"?: ((...args: any[]) => any) | undefined;
    "onMap:touchend"?: ((...args: any[]) => any) | undefined;
    "onMap:touchstart"?: ((...args: any[]) => any) | undefined;
    "onMap:click"?: ((...args: any[]) => any) | undefined;
    "onMap:contextmenu"?: ((...args: any[]) => any) | undefined;
    "onMap:dblclick"?: ((...args: any[]) => any) | undefined;
    "onMap:mousemove"?: ((...args: any[]) => any) | undefined;
    "onMap:mouseup"?: ((...args: any[]) => any) | undefined;
    "onMap:mousedown"?: ((...args: any[]) => any) | undefined;
    "onMap:mouseout"?: ((...args: any[]) => any) | undefined;
    "onMap:mouseover"?: ((...args: any[]) => any) | undefined;
    "onMap:movestart"?: ((...args: any[]) => any) | undefined;
    "onMap:move"?: ((...args: any[]) => any) | undefined;
    "onMap:moveend"?: ((...args: any[]) => any) | undefined;
    "onMap:zoomstart"?: ((...args: any[]) => any) | undefined;
    "onMap:zoom"?: ((...args: any[]) => any) | undefined;
    "onMap:zoomend"?: ((...args: any[]) => any) | undefined;
    "onMap:rotatestart"?: ((...args: any[]) => any) | undefined;
    "onMap:rotate"?: ((...args: any[]) => any) | undefined;
    "onMap:rotateend"?: ((...args: any[]) => any) | undefined;
    "onMap:dragstart"?: ((...args: any[]) => any) | undefined;
    "onMap:drag"?: ((...args: any[]) => any) | undefined;
    "onMap:dragend"?: ((...args: any[]) => any) | undefined;
    "onMap:pitchstart"?: ((...args: any[]) => any) | undefined;
    "onMap:pitch"?: ((...args: any[]) => any) | undefined;
    "onMap:pitchend"?: ((...args: any[]) => any) | undefined;
    "onMap:wheel"?: ((...args: any[]) => any) | undefined;
}, {
    antialias: boolean;
    attributionControl: boolean;
    bearing: number;
    bearingSnap: number;
    bounds: LngLatBoundsLike;
    boxZoom: boolean;
    center: LngLatLike;
    clickTolerance: number;
    collectResourceTiming: boolean;
    crossSourceCollisions: boolean;
    customAttribution: string | string[];
    dragPan: boolean;
    dragRotate: boolean;
    doubleClickZoom: boolean;
    hash: string | boolean;
    fadeDuration: number;
    failIfMajorPerformanceCaveat: boolean;
    fitBoundsOptions: FitBoundsOptions;
    interactive: boolean;
    keyboard: boolean;
    locale: Record<string, string>;
    localIdeographFontFamily: string;
    logoPosition: Position;
    maxBounds: LngLatBoundsLike;
    maxPitch: number;
    maxZoom: number;
    minPitch: number;
    minZoom: number;
    preserveDrawingBuffer: boolean;
    pitch: number;
    pitchWithRotate: boolean;
    refreshExpiredTiles: boolean;
    renderWorldCopies: boolean;
    scrollZoom: boolean;
    trackResize: boolean;
    transformRequest: TransformRequestFunction;
    touchZoomRotate: boolean;
    touchPitch: boolean;
    zoom: number;
    maxTileCacheSize: number;
    accessToken: string;
    width: string | number;
    height: string | number;
    mapStyle: string | Style;
}>;
export default _default;
